# SPDX-License-Identifier: MIT-0
---
# handlers file for roles/init-vps
- name: Skipping to next installaton
  ansible.builtin.debug:
    msg: "No post-installaton or additional installation steps needed--continuing..."
  listen: default
- name: Setting up ViM
  ansible.builtin.include_tasks:
    file: tasks/contingent/pkg/vim.yml
  listen: vim
- name: Settng up NeoViM
  ansible.builtin.include_tasks:
    file: tasks/contingent/pkg/neovim.yml
  listen: neovim
- name: Settng up Difftastic
  ansible.builtin.include_tasks:
    file: tasks/contingent/pkg/difftastic.yml
  listen: difftastic
- name: Settng up Git
  ansible.builtin.include_tasks:
    file: tasks/contingent/pkg/git.yml
  listen: git
- name: Setting up NodeJS
  ansible.builtin.include_tasks:
    file: tasks/contingent/pkg/nvm.yml
  listen: nvm
- name: Setting up Rust
  ansible.builtin.include_tasks:
    file: tasks/contingent/pkg/rustup.yml
  listen: rustup
- name: Setting up Julia
  ansible.builtin.include_tasks:
    file: tasks/contingent/pkg/julia.yml
  listen: julia
- name: Setting up UV
  ansible.builtin.include_tasks:
    file: tasks/contingent/pkg/uv.yml
  listen: uv
- name: Setting up Podman
  ansible.builtin.include_tasks:
    file: tasks/contingent/pkg/podman.yml
  listen: podman
- name: Setting up Podman Compose sources
  ansible.builtin.include_tasks:
    file: tasks/contingent/pkg/skato_compose.yml
  listen: skato_compose
- name: Setting up Quartz
  ansible.builtin.include_tasks:
    file: tasks/contingent/pkg/quartz.yml
  listen: quartz
- name: Setting up native CLI tools sources
  ansible.builtin.include_tasks:
    file: tasks/contingent/pkg/skato_cli.yml
  listen: skato_cli
- name: Setting up blog theme
  ansible.builtin.include_tasks:
    file: tasks/contingent/pkg/skato_blog_theme.yml
  listen: skato_blog_theme
- name: Setting up blog
  ansible.builtin.include_tasks:
    file: tasks/contingent/pkg/skato_blog.yml
  listen: skato_blog
- name: Setting up website sources
  ansible.builtin.include_tasks:
    file: tasks/contingent/pkg/sukaato.yml
  listen: sukaato
- name: Setting up Surge
  ansible.builtin.include_tasks:
    file: tasks/contingent/pkg/surge.yml
  listen: surge
- name: Setting up Aria2
  ansible.builtin.include_tasks:
    file: tasks/contingent/pkg/aria.yml
  listen: aria
- name: Setting up Radicle
  ansible.builtin.include_tasks:
    file: tasks/contingent/pkg/radicle.yml
  listen: radicle
- name: Setting up TOTP
  ansible.builtin.include_tasks:
    file: tasks/contingent/pkg/libpam-google-authenticator.yml
  listen: libpam-google-authenticator
